Show / Hide Table of Contents

# AsyncBecameInvisibleTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncBecameInvisibleTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncBecameInvisibleTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnBecameInvisibleAsyncHandler() |
GetOnBecameInvisibleAsyncHandler(CancellationToken) |
OnBecameInvisibleAsync() |
OnBecameInvisibleAsync(CancellationToken) |

### Methods

#### GetOnBecameInvisibleAsyncHandler()

    public IAsyncOnBecameInvisibleHandler GetOnBecameInvisibleAsyncHandler()

##### Returns

IAsyncOnBecameInvisibleHandler

#### GetOnBecameInvisibleAsyncHandler(CancellationToken)

    public IAsyncOnBecameInvisibleHandler GetOnBecameInvisibleAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnBecameInvisibleHandler

#### OnBecameInvisibleAsync()

    public UniTask OnBecameInvisibleAsync()

##### Returns

UniTask

#### OnBecameInvisibleAsync(CancellationToken)

    public UniTask OnBecameInvisibleAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>